/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/core/endpoint/AWSPartitions.h>

namespace Aws
{
namespace Endpoint
{
const size_t AWSPartitions::PartitionsBlobStrLen = 1629;
const size_t AWSPartitions::PartitionsBlobSize = 1630;

using PartitionsBlobT = Aws::Array<const char, AWSPartitions::PartitionsBlobSize>;
static constexpr PartitionsBlobT PartitionsBlob = {{
'{','"','v','e','r','s','i','o','n','"',':','"','1','.','1','"',',','"','p','a','r','t','i','t','i',
'o','n','s','"',':','[','{','"','i','d','"',':','"','a','w','s','"',',','"','r','e','g','i','o','n',
'R','e','g','e','x','"',':','"','^','(','u','s','|','e','u','|','a','p','|','s','a','|','c','a','|',
'm','e','|','a','f',')','-','\\','\\','w','+','-','\\','\\','d','+','$','"',',','"','r','e','g','i','o',
'n','s','"',':','{','"','a','f','-','s','o','u','t','h','-','1','"',':','{','}',',','"','a','f','-',
'e','a','s','t','-','1','"',':','{','}',',','"','a','p','-','n','o','r','t','h','e','a','s','t','-',
'1','"',':','{','}',',','"','a','p','-','n','o','r','t','h','e','a','s','t','-','2','"',':','{','}',
',','"','a','p','-','n','o','r','t','h','e','a','s','t','-','3','"',':','{','}',',','"','a','p','-',
's','o','u','t','h','-','1','"',':','{','}',',','"','a','p','-','s','o','u','t','h','e','a','s','t',
'-','1','"',':','{','}',',','"','a','p','-','s','o','u','t','h','e','a','s','t','-','2','"',':','{',
'}',',','"','a','p','-','s','o','u','t','h','e','a','s','t','-','3','"',':','{','}',',','"','c','a',
'-','c','e','n','t','r','a','l','-','1','"',':','{','}',',','"','e','u','-','c','e','n','t','r','a',
'l','-','1','"',':','{','}',',','"','e','u','-','n','o','r','t','h','-','1','"',':','{','}',',','"',
'e','u','-','s','o','u','t','h','-','1','"',':','{','}',',','"','e','u','-','w','e','s','t','-','1',
'"',':','{','}',',','"','e','u','-','w','e','s','t','-','2','"',':','{','}',',','"','e','u','-','w',
'e','s','t','-','3','"',':','{','}',',','"','m','e','-','s','o','u','t','h','-','1','"',':','{','}',
',','"','s','a','-','e','a','s','t','-','1','"',':','{','}',',','"','u','s','-','e','a','s','t','-',
'1','"',':','{','}',',','"','u','s','-','e','a','s','t','-','2','"',':','{','}',',','"','u','s','-',
'w','e','s','t','-','1','"',':','{','}',',','"','u','s','-','w','e','s','t','-','2','"',':','{','}',
',','"','a','w','s','-','g','l','o','b','a','l','"',':','{','}','}',',','"','o','u','t','p','u','t',
's','"',':','{','"','n','a','m','e','"',':','"','a','w','s','"',',','"','d','n','s','S','u','f','f',
'i','x','"',':','"','a','m','a','z','o','n','a','w','s','.','c','o','m','"',',','"','d','u','a','l',
'S','t','a','c','k','D','n','s','S','u','f','f','i','x','"',':','"','a','p','i','.','a','w','s','"',
',','"','s','u','p','p','o','r','t','s','F','I','P','S','"',':','t','r','u','e',',','"','s','u','p',
'p','o','r','t','s','D','u','a','l','S','t','a','c','k','"',':','t','r','u','e','}','}',',','{','"',
'i','d','"',':','"','a','w','s','-','u','s','-','g','o','v','"',',','"','r','e','g','i','o','n','R',
'e','g','e','x','"',':','"','^','u','s','\\','\\','-','g','o','v','\\','\\','-','\\','\\','w','+','\\','\\',
'-','\\','\\','d','+','$','"',',','"','r','e','g','i','o','n','s','"',':','{','"','u','s','-','g','o',
'v','-','w','e','s','t','-','1','"',':','{','}',',','"','u','s','-','g','o','v','-','e','a','s','t',
'-','1','"',':','{','}',',','"','a','w','s','-','u','s','-','g','o','v','-','g','l','o','b','a','l',
'"',':','{','}','}',',','"','o','u','t','p','u','t','s','"',':','{','"','n','a','m','e','"',':','"',
'a','w','s','-','u','s','-','g','o','v','"',',','"','d','n','s','S','u','f','f','i','x','"',':','"',
'a','m','a','z','o','n','a','w','s','.','c','o','m','"',',','"','d','u','a','l','S','t','a','c','k',
'D','n','s','S','u','f','f','i','x','"',':','"','a','p','i','.','a','w','s','"',',','"','s','u','p',
'p','o','r','t','s','F','I','P','S','"',':','t','r','u','e',',','"','s','u','p','p','o','r','t','s',
'D','u','a','l','S','t','a','c','k','"',':','t','r','u','e','}','}',',','{','"','i','d','"',':','"',
'a','w','s','-','c','n','"',',','"','r','e','g','i','o','n','R','e','g','e','x','"',':','"','^','c',
'n','\\','\\','-','\\','\\','w','+','\\','\\','-','\\','\\','d','+','$','"',',','"','r','e','g','i','o','n',
's','"',':','{','"','c','n','-','n','o','r','t','h','-','1','"',':','{','}',',','"','c','n','-','n',
'o','r','t','h','w','e','s','t','-','1','"',':','{','}',',','"','a','w','s','-','c','n','-','g','l',
'o','b','a','l','"',':','{','}','}',',','"','o','u','t','p','u','t','s','"',':','{','"','n','a','m',
'e','"',':','"','a','w','s','-','c','n','"',',','"','d','n','s','S','u','f','f','i','x','"',':','"',
'a','m','a','z','o','n','a','w','s','.','c','o','m','.','c','n','"',',','"','d','u','a','l','S','t',
'a','c','k','D','n','s','S','u','f','f','i','x','"',':','"','a','p','i','.','a','m','a','z','o','n',
'w','e','b','s','e','r','v','i','c','e','s','.','c','o','m','.','c','n','"',',','"','s','u','p','p',
'o','r','t','s','F','I','P','S','"',':','t','r','u','e',',','"','s','u','p','p','o','r','t','s','D',
'u','a','l','S','t','a','c','k','"',':','t','r','u','e','}','}',',','{','"','i','d','"',':','"','a',
'w','s','-','i','s','o','"',',','"','r','e','g','i','o','n','R','e','g','e','x','"',':','"','^','u',
's','\\','\\','-','i','s','o','\\','\\','-','\\','\\','w','+','\\','\\','-','\\','\\','d','+','$','"',',','"',
'o','u','t','p','u','t','s','"',':','{','"','n','a','m','e','"',':','"','a','w','s','-','i','s','o',
'"',',','"','d','n','s','S','u','f','f','i','x','"',':','"','c','2','s','.','i','c','.','g','o','v',
'"',',','"','s','u','p','p','o','r','t','s','F','I','P','S','"',':','t','r','u','e',',','"','s','u',
'p','p','o','r','t','s','D','u','a','l','S','t','a','c','k','"',':','f','a','l','s','e',',','"','d',
'u','a','l','S','t','a','c','k','D','n','s','S','u','f','f','i','x','"',':','"','c','2','s','.','i',
'c','.','g','o','v','"','}',',','"','r','e','g','i','o','n','s','"',':','{','"','a','w','s','-','i',
's','o','-','g','l','o','b','a','l','"',':','{','}','}','}',',','{','"','i','d','"',':','"','a','w',
's','-','i','s','o','-','b','"',',','"','r','e','g','i','o','n','R','e','g','e','x','"',':','"','^',
'u','s','\\','\\','-','i','s','o','b','\\','\\','-','\\','\\','w','+','\\','\\','-','\\','\\','d','+','$','"',
',','"','o','u','t','p','u','t','s','"',':','{','"','n','a','m','e','"',':','"','a','w','s','-','i',
's','o','-','b','"',',','"','d','n','s','S','u','f','f','i','x','"',':','"','s','c','2','s','.','s',
'g','o','v','.','g','o','v','"',',','"','s','u','p','p','o','r','t','s','F','I','P','S','"',':','t',
'r','u','e',',','"','s','u','p','p','o','r','t','s','D','u','a','l','S','t','a','c','k','"',':','f',
'a','l','s','e',',','"','d','u','a','l','S','t','a','c','k','D','n','s','S','u','f','f','i','x','"',
':','"','s','c','2','s','.','s','g','o','v','.','g','o','v','"','}',',','"','r','e','g','i','o','n',
's','"',':','{','"','a','w','s','-','i','s','o','-','b','-','g','l','o','b','a','l','"',':','{','}',
'}','}',']','}','\0'
}};

const char* AWSPartitions::GetPartitionsBlob()
{
    return PartitionsBlob.data();
}

} // namespace Endpoint
} // namespace Aws
