﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/iot/model/ListSecurityProfilesRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/http/URI.h>
#include <aws/core/utils/memory/stl/AWSStringStream.h>

#include <utility>

using namespace Aws::IoT::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws::Http;

ListSecurityProfilesRequest::ListSecurityProfilesRequest() : 
    m_nextTokenHasBeenSet(false),
    m_maxResults(0),
    m_maxResultsHasBeenSet(false),
    m_dimensionNameHasBeenSet(false),
    m_metricNameHasBeenSet(false)
{
}

Aws::String ListSecurityProfilesRequest::SerializePayload() const
{
  return {};
}

void ListSecurityProfilesRequest::AddQueryStringParameters(URI& uri) const
{
    Aws::StringStream ss;
    if(m_nextTokenHasBeenSet)
    {
      ss << m_nextToken;
      uri.AddQueryStringParameter("nextToken", ss.str());
      ss.str("");
    }

    if(m_maxResultsHasBeenSet)
    {
      ss << m_maxResults;
      uri.AddQueryStringParameter("maxResults", ss.str());
      ss.str("");
    }

    if(m_dimensionNameHasBeenSet)
    {
      ss << m_dimensionName;
      uri.AddQueryStringParameter("dimensionName", ss.str());
      ss.str("");
    }

    if(m_metricNameHasBeenSet)
    {
      ss << m_metricName;
      uri.AddQueryStringParameter("metricName", ss.str());
      ss.str("");
    }

}



