﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/iotevents/model/DescribeDetectorModelAnalysisResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::IoTEvents::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

DescribeDetectorModelAnalysisResult::DescribeDetectorModelAnalysisResult() : 
    m_status(AnalysisStatus::NOT_SET)
{
}

DescribeDetectorModelAnalysisResult::DescribeDetectorModelAnalysisResult(const Aws::AmazonWebServiceResult<JsonValue>& result) : 
    m_status(AnalysisStatus::NOT_SET)
{
  *this = result;
}

DescribeDetectorModelAnalysisResult& DescribeDetectorModelAnalysisResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("status"))
  {
    m_status = AnalysisStatusMapper::GetAnalysisStatusForName(jsonValue.GetString("status"));

  }



  return *this;
}
