﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/sagemaker/model/ListMonitoringSchedulesResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::SageMaker::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

ListMonitoringSchedulesResult::ListMonitoringSchedulesResult()
{
}

ListMonitoringSchedulesResult::ListMonitoringSchedulesResult(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  *this = result;
}

ListMonitoringSchedulesResult& ListMonitoringSchedulesResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("MonitoringScheduleSummaries"))
  {
    Aws::Utils::Array<JsonView> monitoringScheduleSummariesJsonList = jsonValue.GetArray("MonitoringScheduleSummaries");
    for(unsigned monitoringScheduleSummariesIndex = 0; monitoringScheduleSummariesIndex < monitoringScheduleSummariesJsonList.GetLength(); ++monitoringScheduleSummariesIndex)
    {
      m_monitoringScheduleSummaries.push_back(monitoringScheduleSummariesJsonList[monitoringScheduleSummariesIndex].AsObject());
    }
  }

  if(jsonValue.ValueExists("NextToken"))
  {
    m_nextToken = jsonValue.GetString("NextToken");

  }



  return *this;
}
