﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/servicecatalog-appregistry/model/UpdateAttributeGroupRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::AppRegistry::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;

UpdateAttributeGroupRequest::UpdateAttributeGroupRequest() : 
    m_attributeGroupHasBeenSet(false),
    m_descriptionHasBeenSet(false),
    m_attributesHasBeenSet(false)
{
}

Aws::String UpdateAttributeGroupRequest::SerializePayload() const
{
  JsonValue payload;

  if(m_descriptionHasBeenSet)
  {
   payload.WithString("description", m_description);

  }

  if(m_attributesHasBeenSet)
  {
   payload.WithString("attributes", m_attributes);

  }

  return payload.View().WriteReadable();
}




